      SUBROUTINE TIMEIT(CMSGTM,DTIME)
      IMPLICIT NONE
C
C     timeit_convex
C
C This version of timeit uses the system call "etime" available under
C Convex unix and other bsd-like Unix systems.
C history:
C 94.06.20 (PJF) add dtime to the formal parameters
C 95.06.19 (PJF) modified to suppress printing if CMSGTM='noprint'
C 04.04.05 (BTD) changed IF(CMSGTM(1:7).NE.. to IF(CMSGTM.NE..
C end history
C Copyright (C) 1993,1995,2004 B.T. Draine and P.J. Flatau
C This code is covered by the GNU General Public License.
C***********************************************************************
C Arguments:
      CHARACTER CMSGTM* (*)
C Local variables:
      REAL DTIME,OLDTIM
      CHARACTER CSTA*3,CMSGNM*70
      REAL TARRAY(2)
C External Subroutines:
      EXTERNAL WRIMSG
C External Functions:
      REAL ETIME
      EXTERNAL ETIME
C***********************************************************************
      DATA CSTA/'ONE'/
      IF(CSTA.EQ.'ONE')THEN
         CSTA='TWO'
         OLDTIM=ETIME(TARRAY)
      ELSEIF(CSTA.EQ.'TWO')THEN
         CSTA='ONE'
         DTIME=ETIME(TARRAY)-OLDTIM
         IF(CMSGTM.NE.'NOPRINT'.AND.CMSGTM.NE.'noprint')THEN
            WRITE(CMSGNM,FMT='(A,A)')' Timing results for: ',CMSGTM
            CALL WRIMSG('TIMEIT',CMSGNM)
            WRITE(CMSGNM,FMT='(G15.6, A)')DTIME,' CPU time (in secs) '
            CALL WRIMSG('TIMEIT',CMSGNM)
         ENDIF
      ENDIF
      RETURN
      END
